Android Studio2.3.3 支持java8随笔

很坑的事情是:Google的Android官方文档,2.3.3上打包会报错,3.0版本的我没试过。很明显文档和AS水土不服。

如何解决,采用第三方添加依赖的方式:

1.项目级build.gradle中添加如下代码:

buildscript {
    dependencies {
        classpath 'me.tatarka:gradle-retrolambda:3.6.0'
        classpath 'me.tatarka.retrolambda.projectlombok:lombok.ast:0.2.3.a2'
    }
    configurations.classpath.exclude group: 'com.android.tools.external.lombok'
}

2.模块级build.gradle添加如下代码:

apply plugin: 'me.tatarka.retrolambda'

android {
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

就可以了。

你可能感兴趣的